> ## Documentation Index
> Fetch the complete documentation index at: https://docs.squadassist.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# /competitions

Use this endpoint to retrieve all competitions that this API key has access to. These are the same competitions as can be used to get the clubs via`GET /get_clubs_in_competitions`.

## Authentication

All requests must include a valid API key, either as an `x-api-key` header or as a Bearer token in the `Authorization` header.

```http theme={null}
x-api-key: YOUR_API_KEY
# or
Authorization: Bearer YOUR_API_KEY
```

## Request

This endpoint takes no query parameters.

## Response

<ResponseField name="competitions" type="array[String]">
  An array of competitions, one for each competitions in your coverage.
</ResponseField>

## Example

<CodeGroup>
  ```bash PowerShell theme={null}
  curl https://api.squadassist.ai/v1/competitions -H @{"x-api-key"= "YOUR_API KEY"}
  ```

  ```python Python theme={null}
  import requests

  url = "https://api.squadassist.ai/v1/competitions"
  headers = {
      "x-api-key": "YOUR_API_KEY",
      "Content-Type": "application/json"
  }
  response = requests.get(url, headers=headers)
  response.raise_for_status()
  data = response.json()
  print(data)
  ```

  ```r R theme={null}
  library(httr2)

  req <- request("https://api.squadassist.ai/v1/competitions") %>%
    req_headers(
      "x-api-key" = "YOUR_API_KEY",
      "Content-Type" = "application/json"
    )
  resp <- req_perform(req)
  data <- resp_body_json(resp)
  print(data)
  ```
</CodeGroup>

```json Response theme={null}
{
  "competitions": ["BELGIAN_JUPILER_PRO_LEAGUE","ENGLISH_PREMIER_LEAGUE"]
}
```
